{* editProvozovna *}
<a href="#" class="text-primary" data-bs-toggle="modal" data-bs-target="#editProvozovnaModal-{$provozovna->id}">
    <i class="fa-solid fa-edit me-2"></i>Editovat
</a>
{*modal edit provozovna*}
<form n:name=editProvozovnaForm>
    <!-- Modal -->
    <div class="modal fade" id="editProvozovnaModal-{$provozovna->id}" tabindex="-1" aria-labelledby="editProvozovnaModal-{$provozovna->id}" aria-hidden="true">
        <div class="modal-dialog modal-xl modal-fullscreen-xl-down">
            <div class="modal-content">
                <div class="modal-header bg-primary text-white">
                    <h5 class="modal-title mb-0">Editace provozovny</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-12 col-md-6 mb-3">
                            <div class="card">
                                <div class="card-header bg-header text-white">
                                    Základní informace
                                </div>
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-12 mb-3">
                                            <div class="input-group">
                                                <span class="input-group-text"><i class="fa-solid fa-pen"></i></span>
                                                <input n:name="nazev" class="form-control" placeholder="Název">
                                            </div>
                                        </div>
                                        <div class="col-12 mb-3">
                                            <div class="input-group">
                                                <span class="input-group-text"><i class="fa-solid fa-map-marked-alt"></i></span>
                                                <input n:name="ulice" class="form-control" placeholder="Ulice">
                                            </div>
                                        </div>
                                        <div class="col-12 mb-3">
                                            <div class="input-group">
                                                <span class="input-group-text"><i class="fa-solid fa-city"></i></span>
                                                <input n:name="mesto" class="form-control" placeholder="Město">
                                            </div>
                                        </div>
                                        <div class="col-12 col-md-6 mb-3">
                                            <div class="input-group">
                                                <span class="input-group-text"><i class="fab fa-usps"></i></span>
                                                <input n:name="psc" class="form-control" placeholder="Psč">
                                            </div>
                                            <div class="form-text text-secondary">Psč zadejte ve formátu 123 45</div>
                                        </div>
                                        <hr>
                                        <div class="col-12 mb-3">
                                            <div class="input-group">
                                                <span class="input-group-text"><i class="fas fa-envelope"></i></span>
                                                <input n:name="email" class="form-control" placeholder="Emailová adresa">
                                            </div>
                                        </div>
                                        <div class="col-12 mb-3">
                                            <div class="input-group">
                                                <span class="input-group-text"><i class="fas fa-phone"></i></span>
                                                <input n:name="tel" class="form-control" placeholder="Tel. číslo">
                                            </div>
                                            <div class="form-text text-secondary">Tel. číslo zadejte ve formátu 123 456 789</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-12 col-md-6">
                            <div class="card">
                                <div class="card-header bg-header text-white">
                                    Mapa
                                </div>
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-12 mb-3">
                                            <div class="input-group">
                                                <span class="input-group-text"><i class="fa-solid fa-map-location"></i></span>
                                                <input n:name="mapa" class="form-control edit-provoz-mapa-{$provozovna->id}" placeholder="Odkaz mapy" onchange="loadMapaEdit{$provozovna->id}()">
                                            </div>
                                        </div>
                                        <div class="col-12">
                                            <div class="bg-content-white p-1 edit-provoz-nahled-{$provozovna->id}" style="display: none"></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-12 col-md-6">
                            <div class="card">
                                <div class="card-header bg-header text-white">
                                    Otevírací doba
                                </div>
                                <div class="card-body pt-0">
                                    <div class="d-flex justify-content-end border-bottom py-2">
                                        <a href="#" class="btn btn-success" onclick="openAddDoba{$provozovna->id}({$provozovna->id})">
                                            <i class="fa-solid fa-plus me-2"></i>Přidat
                                        </a>
                                    </div>
                                    {snippet provozDoba}
                                        <div class="row text-start">
                                            {foreach $provozovna->related('provozovny_doba.provozovny_id') as $row}
                                                <div class="col-12 mb-3">
                                                    <label class="form-label">{$row->nazev}</label>
                                                    <div class="d-flex">
                                                        <input name="oteviraci_doba[{$row->nazev}]" class="form-control" placeholder="Otevírací doba" value="{$row->doba}" disabled>
                                                        <a n:href="remDoba! $row->id" class="ajax btn btn-danger ms-3"><i class="fas fa-minus"></i></a>
                                                    </div>
                                                </div>
                                            {/foreach}
                                        </div>
                                    {/snippet}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <a href="#" class="btn btn-outline-secondary" data-bs-dismiss="modal">Zavřít</a>
                    <button n:name="send" class="btn btn-success send"><i class="fa-solid fa-save me-2"></i>Uložit</button>
                </div>
            </div>
        </div>
    </div>
</form>
{* modal addProvozniDoba *}
<div class="modal fade" id="addDoba-{$provozovna->id}" tabindex="-1" aria-labelledby="addDoba-{$provozovna->id}" aria-hidden="true">
    <div class="modal-dialog shadow-lg">
        <div class="modal-content">
            <div class="modal-header bg-success text-white">
                <h5 class="modal-title mb-0">Přidat otevírací dobu</h5>
                <button type="button" class="btn-close" onclick="closeAddDoba{$provozovna->id}({$provozovna->id})"></button>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-12 mb-3">
                        <div class="input-group mb-3">
                            <span class="input-group-text"><i class="fa-solid fa-pen"></i></span>
                            <input type="text" class="form-control add-doba-nazev-{$provozovna->id}" placeholder="Den otevírací doby">
                        </div>
                        <div class="input-group">
                            <span class="input-group-text"><i class="fa-solid fa-clock"></i></span>
                            <input type="text" class="form-control add-doba-cas-{$provozovna->id}" placeholder="Den otevírací doby">
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <a href="#" class="btn btn-outline-secondary" onclick="closeAddDoba{$provozovna->id}({$provozovna->id})">Zavřít</a>
                <button class="btn btn-success send" onclick="addDoba{$provozovna->id}({$provozovna->id})"><i class="fas fa-plus me-2"></i>Přidat</button>
            </div>
        </div>
    </div>
</div>
<script>
    $(document).ready(function () {
        loadMapaEdit{$provozovna->id}()
    });
    // pomocné funkce
    function loadMapaEdit{$provozovna->id}()
    {
        var mapa = $('.edit-provoz-mapa-{$provozovna->id}').val();
        let nahled = $('.edit-provoz-nahled-{$provozovna->id}');
        let nahledIframe = $('.edit-provoz-nahled-{$provozovna->id} iframe');

        if(mapa != ''){
            var html = '<iframe src="'+mapa+'" width="100%" height="350" style="border:0;" allowfullscreen="" loading="lazy"></iframe>';
            nahledIframe.remove();
            nahled.append(html);
            nahled.show();
        }else{
            nahled.hide();
            nahledIframe.remove();
        }
    }

    function addDoba{$provozovna->id}(id)
    {
        var dobaNazevInput = $('.add-doba-nazev-{$provozovna->id}');
        var dobaNazevCas = $('.add-doba-cas-{$provozovna->id}');

        var nazev = dobaNazevInput.val();

        if(nazev !== ''){
            var data = [];
            data['id'] = {$provozovna->id};
            data['nazev'] = dobaNazevInput.val();
            data['doba'] = dobaNazevCas.val();

            naja.makeRequest('POST', {link 'addDoba'} , { {$control->getParameterId('data') }: data } );

            closeAddDoba{$provozovna->id}(id);
        }else{
            window.alert('Musíte vyplnit den!');
            dobaNazevInput.focus();
        }
    }

    function openAddDoba{$provozovna->id}(id)
    {
        var myModal = new bootstrap.Modal(document.getElementById('addDoba-'+id));

        myModal.show();
    }

    function closeAddDoba{$provozovna->id}(id)
    {
        var myModalEl = document.getElementById('addDoba-'+id);
        var modal = bootstrap.Modal.getInstance(myModalEl)
        var dobaNazevInput = $('.add-doba-nazev-{$provozovna->id}');
        var dobaNazevCas = $('.add-doba-cas-{$provozovna->id}');


        dobaNazevInput.val('');
        dobaNazevCas.val('');
        modal.hide();
    }
</script>